try {
	let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
	n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "3b157793-2b78-4d33-a6c4-061aa3dec513", e._sentryDebugIdIdentifier = "sentry-dbid-3b157793-2b78-4d33-a6c4-061aa3dec513");
} catch (e) {}
import { n as cloneObject } from "./AnalyticsContext-C0HNdPss.js";
import { r as isValueObscured } from "./MaskedInput-uN8G9HRq.js";
import { i as getProp, n as deleteProp } from "./utils--gwzjjeS.js";
//#region src/utils/omitObscuredFieldsIfUnchanged.ts
var omitObscuredFieldsIfUnchanged = (obscuredFields, dataSubmitted, savedData) => {
	if (!dataSubmitted) return;
	const filtered = cloneObject(dataSubmitted);
	obscuredFields.forEach((obscuredField) => {
		const prevValue = savedData ? getProp(savedData, obscuredField) : void 0;
		const newValue = getProp(dataSubmitted, obscuredField);
		if (prevValue === newValue && isValueObscured(newValue)) deleteProp(obscuredField, filtered);
	});
	return filtered;
};
//#endregion
export { omitObscuredFieldsIfUnchanged as t };
